Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.crosstabs
Interface JRCrosstabParameter

All Superinterfaces:
  java.lang.Cloneable, JRCloneable, JRDatasetParameter, JRParameter, JRPropertiesHolder

All Known Implementing Classes:
  JRBaseCrosstabParameter, JRDesignCrosstabParameter, JRFillCrosstabParameter

    public interface JRCrosstabParameter

extends JRParameter, JRDatasetParameter

Crosstab paramters interface.

Crosstab parameters are used to use external values inside a crosstab.

A parameter consists of a name and a value expression. The values can also be set by using a `Map` object with name/value mappings.

Version:
  $Id: JRCrosstabParameter.java 3032 2009-08-27 11:32:28Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  `JRCrosstab.getParameters()`, `JRCrosstab.getParametersMapExpression()`

Field Summary

Fields inherited from interface net.sf.jasperreports.engine.JRParameter
`IS_IGNORE_PAGINATION, JASPER_REPORT, REPORT_CLASS_LOADER, REPORT_CONNECTION, REPORT_DATA_SOURCE, REPORT_FILE_RESOLVER, REPORT_FORMAT_FACTORY, REPORT_LOCALE, REPORT_MAX_COUNT, REPORT_PARAMETERS_MAP, REPORT_RESOURCE_BUNDLE, REPORT_SCRIPTLET, REPORT_TEMPLATES, REPORT_TIME_ZONE, REPORT_URL_HANDLER_FACTORY, REPORT_VIRTUALIZER, SORT_FIELDS`

Method Summary

Methods inherited from interface net.sf.jasperreports.engine.JRParameter
`getDefaultValueExpression, getDescription, getName, getNestedType, getNestedTypeName, getValueClass, getValueClassName, isForPrompting, isSystemDefined, setDescription`

Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder
`getParentProperties, getPropertiesMap, hasProperties`

Methods inherited from interface net.sf.jasperreports.engine.JRDatasetParameter
`getExpression, getName`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com